Skip to main content
POST
/
1
/
indexes
/
{indexName}
/
synonyms
/
search
curl
curl --request POST \
  --url https://algolia_application_id.algolia.net/1/indexes/ALGOLIA_INDEX_NAME/synonyms/search \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
  --data '
{
  "query": "",
  "type": "onewaysynonym",
  "page": 0,
  "hitsPerPage": 20
}
'
{
  "hits": [
    {
      "objectID": "synonymID",
      "type": "onewaysynonym",
      "corrections": [
        "vehicle",
        "auto"
      ],
      "input": "car",
      "placeholder": "<Street>",
      "replacements": [
        "street",
        "st"
      ],
      "synonyms": [
        "vehicle",
        "auto"
      ],
      "word": "car"
    }
  ],
  "nbHits": 20
}

Documentation Index

Fetch the complete documentation index at: https://algolia.com/llms.txt

Use this file to discover all available pages before exploring further.

Required ACL: settings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

indexName
string
required

Name of the index on which to perform the operation.

Example:

"ALGOLIA_INDEX_NAME"

Body

application/json

Body of the searchSynonyms operation.

hitsPerPage
integer
default:20

Number of hits per page.

Required range: 1 <= x <= 1000
page
integer
default:0

Page of search results to retrieve.

Required range: x >= 0
query
string
default:""

Search query.

type
enum<string>

Synonym type.

Available options:
synonym,
onewaysynonym,
altcorrection1,
altcorrection2,
placeholder,
oneWaySynonym,
altCorrection1,
altCorrection2
Example:

"onewaysynonym"

Response

OK

hits
object[]
required

Matching synonyms.

nbHits
integer
required

Number of results (hits).

Example:

20

Last modified on March 23, 2026